id3lib 3.8.3

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Attributes | List of all members
ID3_Header Class Referenceabstract

`#include <header.h>`

Inheritance diagram for ID3_Header:

## Classes
struct | Info

## Public Member Functions
| ID3_Header ()
virtual | ~ID3_Header ()
virtual bool | SetSpec (ID3_V2Spec)
ID3_V2Spec | GetSpec () const
bool | SetDataSize (size_t size)
size_t | GetDataSize () const
virtual bool | Clear ()
virtual size_t | Size () const =0
virtual void | Render (ID3_Writer &) const =0
virtual bool | Parse (ID3_Reader &)=0
ID3_Header & | operator= (const ID3_Header &rhs)

## Protected Attributes
ID3_V2Spec | _spec
size_t | _data_size
ID3_Flags | _flags
Info * | _info
bool | _changed

## Detailed Description

Definition at line 38 of file header.h.

## Constructor & Destructor Documentation

ID3_Header::ID3_Header | ( |  | ) |
| inline

Definition at line 51 of file header.h.

virtual ID3_Header::~ID3_Header | ( |  | ) |
| inline virtual

Definition at line 59 of file header.h.

## Member Function Documentation

virtual bool ID3_Header::Clear | ( |  | ) |
| inline virtual

Reimplemented in ID3_FrameHeader.

Definition at line 73 of file header.h.

size_t ID3_Header::GetDataSize | ( |  | ) | const
| inline

Definition at line 71 of file header.h.

ID3_V2Spec ID3_Header::GetSpec | ( |  | ) | const
| inline

Definition at line 62 of file header.h.

ID3_Header& ID3_Header::operator= | ( | const ID3_Header & | rhs | ) |
| inline

Definition at line 90 of file header.h.

virtual bool ID3_Header::Parse | ( | ID3_Reader & |  | ) |
| pure virtual

Implemented in ID3_TagHeader, and ID3_FrameHeader.

virtual void ID3_Header::Render | ( | ID3_Writer & |  | ) | const
| pure virtual

Implemented in ID3_TagHeader, and ID3_FrameHeader.

bool ID3_Header::SetDataSize | ( | size_t | size | ) |
| inline

Definition at line 64 of file header.h.

bool ID3_Header::SetSpec | ( | ID3_V2Spec | spec | ) |
| virtual

Reimplemented in ID3_TagHeader.

Definition at line 34 of file header.cpp.

virtual size_t ID3_Header::Size | ( |  | ) | const
| pure virtual

Implemented in ID3_TagHeader, and ID3_FrameHeader.

## Member Data Documentation

bool ID3_Header::_changed
| protected

Definition at line 106 of file header.h.

size_t ID3_Header::_data_size
| protected

Definition at line 103 of file header.h.

ID3_Flags ID3_Header::_flags
| protected

Definition at line 104 of file header.h.

Info* ID3_Header::_info
| protected

Definition at line 105 of file header.h.

ID3_V2Spec ID3_Header::_spec
| protected

Definition at line 102 of file header.h.

The documentation for this class was generated from the following files:

- src/header.h
- src/header.cpp